Subject: Re: [PATCH][TG3]Some cleanups

From: David Miller <[email-masked]>
Date: Sun, 07 Oct 2007 23:32:35 -0700 (PDT)

From: jamal <[email-masked]>
Date: Sun, 07 Oct 2007 11:12:21 -0400

> Ok, attached patch against net-2.6.24 from this morning. I am setting up
> some equipment for testing as i type this - so i will test for any
> regressions. If you dont hear from me on the subject then all went ok.

This "cleanup" only makes sense if we go with your TX batching
interfaces.

They make the TX batching support patch for this driver "nice" and
"clean", but it makes zero sense in any other context.  In fact, it
adds more memory references in the TX pacth, and in fact does so by
adding usage of the skb->cb[] which the driver didn't need to do
previously.

So I'm going to hold off on this one for now, keep it in your TX
batching changes instead.

THanks.